# class TkDatabaseClass

### Public Class Methods

new(name, *args, &b) click to toggle source

# begin¶ ↑

    def self.new(name, *args, &b)
      BTagID_TBL.mutex.synchronize{
        return BTagID_TBL[name] if BTagID_TBL[name]
      }
      super(name, *args, &b)
    end

    def initialize(name, *args, &b)
      @id = name
      BTagID_TBL.mutex.synchronize{
        BTagID_TBL[@id] = self
      }
      bind(*args, &b) if args != []
    end

# end¶ ↑

    # File lib/tk/bindtag.rb, line 117
    def self.new(name, *args, &b)
      BTagID_TBL.mutex.synchronize{
        if BTagID_TBL[name]
          BTagID_TBL[name]
        else
          BTagID_TBL[name] = self.allocate.instance_eval{
            initialize(name, *args, &b)
            self
          }
        end
      }
    end

new(name, *args, &b) click to toggle source

    # File lib/tk/bindtag.rb, line 130
    def initialize(name, *args, &b)
      @id = name
      bind(*args, &b) if args != []
    end

### Public Instance Methods

inspect() click to toggle source

    # File lib/tk/bindtag.rb, line 135
    def inspect
      #Kernel.format "#<TkDatabaseClass: %s>", @id
      '#<TkDatabaseClass: ' + @id + '>'
    end